Bug 111272 - Sanitize CMS config property naming convention
Summary: Sanitize CMS config property naming convention
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-01 17:36 UTC by Daniel Berrange
Modified: 2007-04-18 16:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-23 15:07:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-12-01 17:36:11 UTC
Description of problem:
The config properties used by CMS have an overly verbose naming
convention, of the form com.arsdigita.cms.ContentSectionConfig.XXX.
Including the name of the config class itself is overly verbose, so
they should be shortened to com.arsdigita.cms.XXX or perhaps
com.arsdigita.cms.section.XXX if we anticipate the need to for
properties not particular to a content section.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Berrange 2004-01-23 15:07:16 UTC
Done in the APLAWS WP3 branch land.


Note You need to log in before you can comment on or make changes to this bug.